#### D.12.6.4 sturmquery

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  sturmquery(h,b,i); h poly, b,i ideal

Return:
  int: the Sturm query of h in V(i)

Assume:
  i is a Groebner basis, b is an ordered monomial basis of r/i, r = basering.

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    sturmquery(1,b,i);
    ==> 4

See also: matbil; symsignature.

User manual for Singular version 4.4.1, 2025, generated by texi2html.